Textpattern CMS support forum

You are not logged in. Register | Login | Help

#11 2019-08-26 16:13:52

eudaimon
New Member
Registered: 2019-07-25
Posts: 7

Re: Upgrade to 4.7.3 riddled with errors

Update: I reloaded txplib_misc.php and now I’m getting a white screen even in debugging mode.

oof

Offline

#12 2019-08-26 16:28:18

colak
Admin
From: Cyprus
Registered: 2004-11-20
Posts: 7,288
Website

Re: Upgrade to 4.7.3 riddled with errors

A couple of observations:

  1. Is your htaccess file empty?
  2. Can you temporarilly disable all plugins and see what happens? I see that most of them are outdated anyway.

Yiannis
——————————
neme.org | hblack.net | LABS | State Machines | Respbublika! | NeMe @ github

Offline

#13 2019-08-26 16:33:30

eudaimon
New Member
Registered: 2019-07-25
Posts: 7

Re: Upgrade to 4.7.3 riddled with errors

I think my .htaccess file is fine — here’s what’s in there:

# BEGIN Textpattern
#DirectoryIndex index.php index.html

#Options +FollowSymLinks
#Options -Indexes
#ErrorDocument 403 default

<IfModule mod_rewrite.c>
    RewriteEngine On
    #RewriteBase /relative/web/path/

    RewriteCond %{REQUEST_FILENAME} -f [OR]
    RewriteCond %{REQUEST_FILENAME} -d
    RewriteRule ^(.+) - [PT,L]

    RewriteCond %{REQUEST_URI} !=/favicon.ico
    RewriteRule ^(.*) index.php

    RewriteCond %{HTTP:Authorization}  !^$
    RewriteRule .* - [E=REMOTE_USER:%{HTTP:Authorization}]
</IfModule>

<IfModule mod_mime.c>
    AddType image/svg+xml  svg svgz
    AddEncoding gzip       svgz
</IfModule>
# END Textpattern

I’ve disabled all plugins. No effect. :/

EDIT: Added bc..{space} in front of the code snippets.

Offline

#14 2019-08-26 17:34:54

uli
Moderator
From: Cologne
Registered: 2006-08-15
Posts: 4,207

Re: Upgrade to 4.7.3 riddled with errors

Simply judging from the formatting of the plugin list you posted: I’d say his can’t be an updated version. From 4.7 onward (I think) we have a plugin list with each plugin on a separate line, I was among those who proposed that.

So I think you’re still currently running a mixed version Textpattern. Try again ftp’ing files over (maybe use another app for ftp), manually reset your txp version pref, log out, call /textpattern/index.php, etc. etc.


In bad weather I never leave home without wet_plugout, smd_where_used and adi_form_links

Offline

#15 2019-08-26 18:16:30

eudaimon
New Member
Registered: 2019-07-25
Posts: 7

Re: Upgrade to 4.7.3 riddled with errors

Bloke wrote #318992:

I’m currently seeing the ‘unexpected yield’ error, which means a lower version of Txp than 4.5.5 and at least PHP 5.5 installed. When you say “the latest version of PHP” what version exactly is that?

For the record, you should never need to manually run the updates. The process is:

  1. Check the Minimum system requirements are met.
  2. Log out of any Textpattern admin interface.
  3. Upgrade/replace all files on your server from the ones in the 4.7.3 distribution (including hidden .htaccess files if using Apache).
  4. Visit the admin interface in your browser (a full cache/cookie refresh for the domain is advisable before logging in).
  5. Log in with a Publisher level account. The necessary upgrade scripts automatically run to upgrade Txp to the latest version. You’ll see a welcome message when done.
  6. Sorted.

If your experience is different to this, please document the steps you go/have gone through and we’ll try and figure out what’s going wrong.

One other thing: if you’ve attempted an upgrade already, your database version string may be set incorrectly. Please check it with a MySQL client such as phpMyAdmin – it’s in the txp_prefs table and the key is called version. Prior to upgrading, its value should be set to the version of Txp that was previously installed so the upgrade script knows where to start the upgrade process from. If it’s not set to the old version number,manually alter it to reflect the previous version installed and then try the upgrade process above.

I’m following all the steps but still keep getting errors and/or the white screen.

I did look for the version string in phpMyAdmin — the client’s txp_prefs table doesn’t have that key. THAT’S how old her version is. Is there an easy way to update that whole table?

Offline

#16 2019-08-26 19:52:44

jakob
Admin
From: Germany
Registered: 2005-01-20
Posts: 3,487
Website

Re: Upgrade to 4.7.3 riddled with errors

Judging by these two lines in the diagnostics:

	/nfs/c08/h06/mnt/120036/domains/glgpub.com/html/textpattern/lib/txplib_head.php, 
	/nfs/c08/h06/mnt/120036/domains/glgpub.com/html/textpattern/lib/txplib_misc.php

at least two files do not match version 4.7.3 (and are therefore probably still older versions).

One possible explanation of why you’re having problems updating txplib_misc.php may be that your host has locked down uploads of files containing the php function eval(). Other people have reported (e.g. here and here) that this file in particular has caused problems with some hosts that block it even being uploaded. As far as I know that shouldn’t affect txplib_head.php, though. The problem only occurs with some hosts.

The issue has been addressed with the current development version of Textpattern that has a workaround to avoid using that php function (GitHub issue here). That is available to download here (switch the branch called “dev”). The dev branch is currently stable in my experience but not yet a release version. I also don’t know if it’s been tried on a server that blocked txplib_misc.php, so it may or may not resolve the problem.

The other thing you could try is to ask your host if they can switch off that protection mechanism for your site.

Otherwise, you have a long list of plugins there, many of them no longer up to date, some no longer available (many no longer needed), so one way or the other you’ll have some work to bring the site back to running order. Likewise, the database is a mix of different collations, so you’re likely to have some work involved in aligning them (make sure to keep database backups as you work as you may find you get stray characters if you change the character encoding and need to go back).


TXP Builders – finely-crafted code, design and txp

Offline

#17 2019-08-29 16:12:18

jakob
Admin
From: Germany
Registered: 2005-01-20
Posts: 3,487
Website

Re: Upgrade to 4.7.3 riddled with errors

Looks like you’ve given up on trying to upgrade judging by glgpub.com. If so, that’s a pity, but If you still want to see if you can salvage something, my offer of assistance still stands.


TXP Builders – finely-crafted code, design and txp

Offline

Board footer

Powered by FluxBB